# Northeastern  marketplace
![Project Screenshot](images/p1.png?raw=true "NEU Marketplace")

# Project Description
Universal Platform for the  Northeastern University community to buy and sell products from each other. 
Our application is a multichannel platform which can be a way to trade products.

# Why Northeastern marketplace
* Helps you to trade amongst wide genre of products
* Encrypted facility to prevent any risk and frauds
* End to end one stop destination platform for Northeastern family
* Easy to explore and reach nearby sellers 

# Tech Stack
* React
* Express JS
* MongoDB

# Addtional Features
* JWT Authentication for Signup and Signin
* Paypal | Credit | Debit card Payment Integration
* Deployed on Digital Ocean

# Work Flow and Modules
## For Seller
* Sign In using Seller Account
* CRUD Operations on Products
* View and Process Orders
## For Buyer
* Sign In using Buyer Account
* In Shop search for Products using Categories and Price Filters and use pagination
* Add desired Products to Cart
* Show Cart and Adjust Quantity
* Enter Delivery address
* Make Payment


# Live Demo (Buyer | Seller)
Live Buyer URL here: http://neu-marketplace.testhome.in/
Live Admin URL here: http://neu-marketplace.testhome.in/admin

# Environment Settings
* Update DATABASE URL, I am using mongoDB connect
* Update PORT, Currently its 8000
* Update JWT Secret
* Update Braintree API for making transactions, Signup here
    * https://sandbox.braintreegateway.com/login

# Steps to install
*   npm install 
*   npm start
